Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP POST

POST tickets/:id/agent_response

Ostatnia modyfikacja 2026-05-18 13:56:05

Wysłanie wiadomości do zgłoszenia klienta.

URL

https://your-system-name.thulium.com/api/tickets/:id/agent_response

Parametry

id

wymagany

Identyfikator zgłoszenia. Przykładowa wartość: 1234
body

wymagany

Treść wiadomości (jako tekst lub HTML). Przykładowa wartość:

This is body.

body_type

opcjonalny

Typ wiadomości zgłoszenia.
Domyślna wartość: HTML. Przykładowa wartość: HTML|PLAIN
user_login

wymagany

Login agenta wysyłającego wiadomość Przykładowa wartość: testowy.agent11
date

opcjonalny

Data wysłania wiadomości Przykładowa wartość: 2014-07-14 12:34
attachments

opcjonalny

Tablica tokenów zwróconych przez zasób pliki tymczasowe.

Przykładowy request

POST https://your-system-name.thulium.com/api/tickets/1234/agent_response
Dane {"body":"Hello world.","user_login":"testowy.agent17","date":"2014-07-14 12:34","attachments":["61527075253ba62a76ca5c"]}

Przykładowy response

[]

Przykładowe wywołanie


PHP
<?php
$data = '{"body":"Hello world.","user_login":"testowy.agent17","date":"2014-07-14 12:34","attachments":["61527075253ba62a76ca5c"]}';

$request = curl_init('https://your-system-name.thulium.com/api/tickets/1234/agent_response');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/tickets/1234/agent_response", "{\"body\":\"Hello world.\",\"user_login\":\"testowy.agent17\",\"date\":\"2014-07-14 12:34\",\"attachments\":[\"61527075253ba62a76ca5c\"]}");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '{"body":"Hello world.","user_login":"testowy.agent17","date":"2014-07-14 12:34","attachments":["61527075253ba62a76ca5c"]}' "https://your-system-name.thulium.com/api/tickets/1234/agent_response"

HTTPie
echo '{"body":"Hello world.","user_login":"testowy.agent17","date":"2014-07-14 12:34","attachments":["61527075253ba62a76ca5c"]}' | http -a api_user:api_pass POST https://your-system-name.thulium.com/api/tickets/1234/agent_response